Subject: [ETI Info E01.05.07] Deaf Ministry for YHWH
From: "End Time Issues" <[email-masked]>
To: "James End Time Issues" <[email-masked]>
Date: Mon, 14 May 2001 10:18:21 +0200

This seems to be a noble cause.

Shalom to you all: 

We have a deaf ministry and we were trying to outreach to the deaf people 
with sign language or interpreters.  We would like for you to keep our email 
in case you might like to give a deaf person or interpreter who believe in 
Yahshua and YHWH.  We appreciated your service for His kingdom.  Many times, 
deaf people were so lonesome and does not have any deaf fellowship.  This is 
the reason why we are here to help them.  Thanks so much for helping. 

Elder Gregory Ross 
Deaf Assembly of YHWH 

[email-masked]